-- name: [PET] MIPs
-- description: The beloved bunny

if not _G.wpets then return end

local E_MODEL_MIPS = smlua_model_util_get_id('mipsPet_geo')

local ID_MIPS = _G.wpets.add_pet({
	name = "Mips", credit = "Chrrli",
	description = "Everyone's favorite test model!",
	modelID = E_MODEL_MIPS,
	scale = 1.0, yOffset = 0, flying = false
})

_G.wpets.set_pet_anims_2leg(ID_MIPS)

_G.wpets.set_pet_sounds(ID_MIPS, {
	spawn = 'goob_happy.ogg',
	happy = 'goob_spawn.ogg',
	vanish = 'tbh-creature-scream.mp3',
	step = SOUND_OBJ_GOOMBA_WALK
})


hook_event(HOOK_UPDATE, function ()

    _G.wpets.process_pet_samples(ID_MIPS)
end)